{
	"name": "form/nc/convert/convert-build.html/layout.json",
	"layout": {
		"component": "nc-root",
		"comment": "convert_define.pug\nCreated by PKo on 22.12.14.",
		"attribute": {
			"id": "convert_build"
		},
		"element": [
			{
				"component": "nc-include",
				"attribute": {
					"src": "'plugin/convert/convert_header.html'"
				}
			},
			{
				"component": "nc-form",
				"attribute": {
					"": "nc.formCallServer(, 'query', {'name': 'dialog/convert/query_init'})"
				},
				"element": [
					{
						"component": "nc-row",
						"element": [
							{
								"component": "nc-col",
								"attribute": {
									"width": "2/12"
								},
								"element": [
									{
										"component": "nc-label",
										"text": "Name",
										"attribute": {
											"model": "hdr.convert_name"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "4/12"
								},
								"element": [
									{
										"component": "nc-input",
										"attribute": {
											"type": "text",
											"model": "rec.convert_name",
											"placeholder": "Lisää nimi"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "4/12"
								},
								"element": [
									{
										"component": "nc-dropdown",
										"attribute": {
											"model": "rec.convert_name",
											"v-on:change.native": "changeName()"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "1/12"
								},
								"element": [
									{
										"component": "nc-button",
										"text": "Delete",
										"attribute": {
											"name": "Delete",
											"v-on:click": "rec.action='delete'; nc.callServer($scope,'convert_define', rec)"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "1/12"
								},
								"element": [
									{
										"component": "nc-button",
										"text": "Save",
										"attribute": {
											"name": "Save",
											"v-on:click": "rec.action='save'; nc.callServer($scope,'convert_define', rec)"
										}
									}
								]
							}
						]
					},
					{
						"component": "nc-row",
						"element": [
							{
								"component": "nc-col",
								"attribute": {
									"width": "2/12"
								},
								"element": [
									{
										"component": "nc-label",
										"text": "Convert type",
										"attribute": {
											"model": "hdr.convert_type"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "4/12"
								},
								"element": [
									{
										"component": "nc-dropdown",
										"attribute": {
											"model": "rec.convert_type",
											"v-on:change.native": "nc.formCallServer(, 'query', {'name': 'dialog/convert/convert_popup.json', 'parameter': {'convert_type': rec.convert_type}})"
										}
									}
								]
							}
						]
					},
					{
						"component": "nc-row",
						"element": [
							{
								"component": "nc-col",
								"attribute": {
									"width": "2/12"
								},
								"element": [
									{
										"component": "nc-label",
										"text": "Convert Direction",
										"attribute": {
											"model": "hdr.convert_direction"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "2/12"
								},
								"element": [
									{
										"component": "nc-radio",
										"attribute": {
											"value": "normal",
											"model": "rec.convert_direction",
											"v-on:click": "rec.convert_direction='normal'"
										},
										"element": [
											{
												"component": "nc-translate",
												"text": "Normal",
												"attribute": {
													"model": "rec.convert_direction"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "2/12"
								},
								"element": [
									{
										"component": "nc-radio",
										"attribute": {
											"value": "reverse",
											"model": "rec.convert_direction2",
											"v-on:click": "rec.convert_direction='reverse'"
										}
									},
									{
										"component": "nc-translate",
										"text": "Reverse",
										"attribute": {
											"model": "rec.convert_direction2"
										}
									}
								]
							}
						]
					},
					{
						"component": "nc-row",
						"element": [
							{
								"component": "nc-col",
								"attribute": {
									"width": "2/12"
								},
								"element": [
									{
										"component": "nc-label",
										"text": "Definition",
										"attribute": {
											"model": "hdr.convert_definition"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "10/12"
								},
								"element": [
									{
										"component": "nc-textarea",
										"attribute": {
											"model": "rec.convert_definition",
											"placeholder": "Definition",
											"rows": "20"
										}
									}
								]
							}
						]
					}
				]
			}
		]
	}
}
